## PhoshGtkMountPrompt

PhoshGtkMountPrompt — A modal prompt for PhoshGtkMountManager

## Functions

GtkWidget * | phosh_gtk_mount_prompt_new ()
const gchar * | phosh_gtk_mount_prompt_get_password ()
GAskPasswordFlags | phosh_gtk_mount_prompt_get_ask_flags ()
gboolean | phosh_gtk_mount_prompt_get_cancelled ()
int | phosh_gtk_mount_prompt_get_choice ()
GStrv | phosh_gtk_mount_prompt_get_choices ()
void | phosh_gtk_mount_prompt_set_pids ()

## Properties

GAskPasswordFlags | ask-flags | Read / Write / Construct Only
GStrv | choices | Read / Write / Construct Only
char * | default-domain | Read / Write / Construct Only
char * | default-user | Read / Write / Construct Only
char * | icon-name | Read / Write / Construct Only
char * | message | Read / Write / Construct Only
GVariant * | pids | Read / Write

## Signals

void | closed | Run Last

## Types and Values

#define | PHOSH_TYPE_GTK_MOUNT_PROMPT
| PhoshGtkMountPrompt

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkWindow
                            ╰── PhoshLayerSurface
                                ╰── PhoshSystemModal
                                    ╰── PhoshSystemModalDialog
                                        ╰── PhoshGtkMountPrompt

## Implemented Interfaces

PhoshGtkMountPrompt implements AtkImplementorIface and GtkBuildable.

## Description

The PhoshGtkMountPrompt is used to query the needed information for the PhoshGtkMountManager.

## Functions

### phosh_gtk_mount_prompt_new ()

    GtkWidget *
    phosh_gtk_mount_prompt_new (const char *message,
                                const char *icon_name,
                                const char *default_user,
                                const char *default_domain,
                                GVariant *pids,
                                const char *const *choices,
                                GAskPasswordFlags ask_flags);

### phosh_gtk_mount_prompt_get_password ()

    const gchar *
    phosh_gtk_mount_prompt_get_password (PhoshGtkMountPrompt *self);

### phosh_gtk_mount_prompt_get_ask_flags ()

    GAskPasswordFlags
    phosh_gtk_mount_prompt_get_ask_flags (PhoshGtkMountPrompt *self);

### phosh_gtk_mount_prompt_get_cancelled ()

    gboolean
    phosh_gtk_mount_prompt_get_cancelled (PhoshGtkMountPrompt *self);

#### Parameters

self | The PhoshGtkMountPrompt |

#### Returns

`TRUE` if the dialog was cancelled (e.g. via swipe away or pressing the Esc-key.

### phosh_gtk_mount_prompt_get_choice ()

    int
    phosh_gtk_mount_prompt_get_choice (PhoshGtkMountPrompt *self);

### phosh_gtk_mount_prompt_get_choices ()

    GStrv
    phosh_gtk_mount_prompt_get_choices (PhoshGtkMountPrompt *self);

#### Parameters

self | The PhoshGtkMountPrompt |

#### Returns

The prompt's choices.

[transfer none]

### phosh_gtk_mount_prompt_set_pids ()

    void
    phosh_gtk_mount_prompt_set_pids (PhoshGtkMountPrompt *self,
                                     GVariant *pids);

## Types and Values

### PHOSH_TYPE_GTK_MOUNT_PROMPT

    #define PHOSH_TYPE_GTK_MOUNT_PROMPT (phosh_gtk_mount_prompt_get_type ())

### PhoshGtkMountPrompt

    typedef struct _PhoshGtkMountPrompt PhoshGtkMountPrompt;

## Property Details

### The `“ask-flags”` property

      “ask-flags”                GAskPasswordFlags

Owner: PhoshGtkMountPrompt

Flags: Read / Write / Construct Only

### The `“choices”` property

      “choices”                  GStrv

Owner: PhoshGtkMountPrompt

Flags: Read / Write / Construct Only

### The `“default-domain”` property

      “default-domain”           char *

Owner: PhoshGtkMountPrompt

Flags: Read / Write / Construct Only

Default value: ""

### The `“default-user”` property

      “default-user”             char *

Owner: PhoshGtkMountPrompt

Flags: Read / Write / Construct Only

Default value: ""

### The `“icon-name”` property

      “icon-name”                char *

Owner: PhoshGtkMountPrompt

Flags: Read / Write / Construct Only

Default value: ""

### The `“message”` property

      “message”                  char *

Owner: PhoshGtkMountPrompt

Flags: Read / Write / Construct Only

Default value: ""

### The `“pids”` property

      “pids”                     GVariant *

Owner: PhoshGtkMountPrompt

Flags: Read / Write

Allowed values: GVariant<a*>

Default value: NULL

## Signal Details

### The `“closed”` signal

    void
    user_function (PhoshGtkMountPrompt *phoshgtkmountprompt,
                   gpointer             user_data)

Flags: Run Last